PDA

View Full Version : Quake 4 opengl error


BSD
10-29-05, 10:22 AM
Here is my most on the subject at linux questions:
http://www.linuxquestions.org/questions/showthread.php?s=&postid=1925892#post1925892
Problem:
I've installed Quake4 correctly according to: http://zerowing.idsoftware.com/linux/quake4/
I have a geforce4mx, slackware 10.1, kernel 2.4.29, and the newest nvidia drivers (7676). Note that Q3, Q2, and D3 run on this system. When I attempt to start quake4, I get the following error:

SDL_GL_LoadLibrary libGL.so.1 failed: Could not load OpenGL library

I appreciate all help.

Mr. Nice
10-29-05, 10:42 AM
Check the requirements. I was quite surprised when I just checked that GF4 MX's were on the list for Doom 3, but they have disappeared from Quake4's list. Presumably the latest round tweaking has made the game unable to run on cards with out pixel/vertex shaders (GF3's have stubbornly stayed on the list).